From f0d2c5fd28dbe2aa9ecb59e140ab42b11d677a33 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
Date: Fri, 9 Jul 2021 10:15:51 +0200
Subject: [PATCH] Use system zoneinfo database by default
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Michał Górny <mgorny@gentoo.org>
---
 pytzdata/__init__.py        | 2 +-
 tests/test_set_directory.py | 8 +++-----
 tests/test_tz_file.py       | 5 ++---
 tests/test_tz_path.py       | 5 ++---
 4 files changed, 8 insertions(+), 12 deletions(-)

diff --git a/pytzdata/__init__.py b/pytzdata/__init__.py
index 22940da..6c3bcb9 100644
--- a/pytzdata/__init__.py
+++ b/pytzdata/__init__.py
@@ -8,7 +8,7 @@ from ._compat import FileNotFoundError
 
 
 DEFAULT_DIRECTORY = os.path.join(
-    os.path.dirname(__file__),
+    '/usr/share',
     'zoneinfo'
 )
 
diff --git a/tests/test_set_directory.py b/tests/test_set_directory.py
index 430d239..6c078e6 100644
--- a/tests/test_set_directory.py
+++ b/tests/test_set_directory.py
@@ -2,7 +2,7 @@
 
 import os
 import pytest
-from pytzdata import set_directory, tz_path, TimezoneNotFound
+from pytzdata import set_directory, tz_path, TimezoneNotFound, DEFAULT_DIRECTORY
 
 
 fixtures_path = os.path.join(os.path.dirname(__file__), 'fixtures', 'tz')
@@ -30,9 +30,8 @@ def test_set_directory():
     with pytest.raises(TimezoneNotFound):
         tz_path('America/New_York')
 
-    here = os.path.realpath(os.path.dirname(__file__))
     filepath = os.path.realpath(
-        os.path.join(here, '..', 'pytzdata', 'zoneinfo', 'America', 'New_York')
+        os.path.join(DEFAULT_DIRECTORY, 'America', 'New_York')
     )
 
     set_directory()
@@ -51,9 +50,8 @@ def test_env_variable():
 
     del os.environ['PYTZDATA_TZDATADIR']
 
-    here = os.path.realpath(os.path.dirname(__file__))
     filepath = os.path.realpath(
-        os.path.join(here, '..', 'pytzdata', 'zoneinfo', 'America', 'New_York')
+        os.path.join(DEFAULT_DIRECTORY, 'America', 'New_York')
     )
 
     set_directory()
diff --git a/tests/test_tz_file.py b/tests/test_tz_file.py
index 8b912b5..b20c08b 100644
--- a/tests/test_tz_file.py
+++ b/tests/test_tz_file.py
@@ -3,7 +3,7 @@
 import os
 import pytest
 
-from pytzdata import tz_file, set_directory
+from pytzdata import tz_file, set_directory, DEFAULT_DIRECTORY
 from pytzdata.exceptions import TimezoneNotFound
 
 
@@ -22,9 +22,8 @@ def teardown_module(module):
 
 
 def test_tz_file():
-    here = os.path.realpath(os.path.dirname(__file__))
     filepath = os.path.realpath(
-        os.path.join(here, '..', 'pytzdata', 'zoneinfo', 'Europe', 'Paris')
+        os.path.join(DEFAULT_DIRECTORY, 'Europe', 'Paris')
     )
 
     with open(filepath) as f1:
diff --git a/tests/test_tz_path.py b/tests/test_tz_path.py
index fd4db48..77c8c74 100644
--- a/tests/test_tz_path.py
+++ b/tests/test_tz_path.py
@@ -3,7 +3,7 @@
 import os
 import pytest
 
-from pytzdata import tz_path, set_directory
+from pytzdata import tz_path, set_directory, DEFAULT_DIRECTORY
 from pytzdata.exceptions import TimezoneNotFound
 
 
@@ -22,9 +22,8 @@ def teardown_module(module):
 
 
 def test_tz_path():
-    here = os.path.realpath(os.path.dirname(__file__))
     filepath = os.path.realpath(
-        os.path.join(here, '..', 'pytzdata', 'zoneinfo', 'Europe', 'Paris')
+        os.path.join(DEFAULT_DIRECTORY, 'Europe', 'Paris')
     )
 
     assert filepath == tz_path('Europe/Paris')
-- 
2.32.0

